var path = require('path'),
    testResource = require('../../../test_resource'),
    prepareCleanDir = require('../../../../lib/file/prepare_clean_dir');

exports['Prepare a clean directory'] = function (test) {
    var workDir = testResource.resolveWorkFile('work_prepare_clean_dir');
    prepareCleanDir(path.join(workDir, 'foo', 'bar', 'baz'), function (err) {
        test.ifError(err);
        prepareCleanDir(path.join(workDir, 'foo', 'bar', 'baz'), function (err) {
            prepareCleanDir(path.join(workDir, 'foo', 'bar', 'baz'), function (err) {
                test.ifError(err);
                test.done();
            });
        });
    });
};

exports['Handle errors.'] = function (test) {
    test.done();
};